# Cinder

# cinder::ChannelT< T >::ConstIter Class Reference

`#include <Channel.h>`

List of all members.

## Public Member Functions
| ConstIter (const ChannelT< T > &channelT, const Area &area)
const T & | v () const
const T & | v (int32_t xOff, int32_t yOff) const
const T & | vClamped (int32_t xOff, int32_t yOff) const
const int32_t | x () const
const int32_t | y () const
Vec2i | getPos () const
bool | pixel ()
bool | line ()
int32_t | getWidth ()
int32_t | getHeight ()
## Public Attributes
uint8_t | mInc
const uint8_t * | mLinePtr
const T * | mPtr
int32_t | mRowInc
int32_t | mWidth
int32_t | mHeight
int32_t | mX
int32_t | mY
int32_t | mStartX
int32_t | mStartY
int32_t | mEndX
int32_t | mEndY

### template<typename T>
class cinder::ChannelT< T >::ConstIter

## Constructor & Destructor Documentation

template<typename T>

cinder::ChannelT< T >::ConstIter::ConstIter | ( | const ChannelT< T > & | channelT,
|  | const Area & | area |
| ) |  |  |

## Member Function Documentation

template<typename T>

const T& cinder::ChannelT< T >::ConstIter::v | ( |  | ) | const

template<typename T>

const T& cinder::ChannelT< T >::ConstIter::v | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const T& cinder::ChannelT< T >::ConstIter::vClamped | ( | int32_t | xOff,
|  | int32_t | yOff |
| ) |  |  | const

template<typename T>

const int32_t cinder::ChannelT< T >::ConstIter::x | ( |  | ) | const

template<typename T>

const int32_t cinder::ChannelT< T >::ConstIter::y | ( |  | ) | const

template<typename T>

Vec2i cinder::ChannelT< T >::ConstIter::getPos | ( |  | ) | const

template<typename T>

bool cinder::ChannelT< T >::ConstIter::pixel | ( |  | ) |

template<typename T>

bool cinder::ChannelT< T >::ConstIter::line | ( |  | ) |

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::getWidth | ( |  | ) |

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::getHeight | ( |  | ) |

## Member Data Documentation

template<typename T>

uint8_t cinder::ChannelT< T >::ConstIter::mInc

template<typename T>

const uint8_t* cinder::ChannelT< T >::ConstIter::mLinePtr

template<typename T>

const T* cinder::ChannelT< T >::ConstIter::mPtr

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::mRowInc

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::mWidth

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::mHeight

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::mX

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::mY

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::mStartX

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::mStartY

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::mEndX

template<typename T>

int32_t cinder::ChannelT< T >::ConstIter::mEndY

The documentation for this class was generated from the following file:

- include/cinder/Channel.h